libhtml-parser-perl (3.76-1deepin1) unstable; urgency=medium

  * Fix CVE-2026-8829: heap-use-after-free in _decode_entities
    When the input SV passed to _decode_entities is the same SV stored as a
    self-referential value in the entity hash, grow_gap() could realloc the
    SV's PV buffer, leaving repl pointing at freed memory. Copy the entity
    value into an owned buffer when the hash entry SV aliases the input SV.

 -- deepin-ci-robot <packages@deepin.org>  Tue, 09 Jun 2026 09:48:53 +0800

libhtml-parser-perl (3.76-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libhtml-parser-perl: Add Multi-Arch: same.
  * Set upstream metadata fields: Bug-Submit.

  [ gregor herrmann ]
  * Import upstream version 3.76.
  * Update debian/upstream/metadata.
  * Declare compliance with Debian Policy 4.5.1.

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Mar 2021 20:57:50 +0100

libhtml-parser-perl (3.75-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 3.75.
  * Update debian/upstream/metadata.
  * debian/rules: drop override_dh_fixperms.
    The example scripts are now all executable.
  * Update debian_examples_location.patch: change file name and offset.
  * Drop example_selfdocs.patch. Doesn't apply anymore, and large parts of
    it are either adopted upstream or not that essential.
  * Update copyright holder's email address.

 -- gregor herrmann <gregoa@debian.org>  Mon, 31 Aug 2020 19:11:38 +0200

libhtml-parser-perl (3.73-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 3.73.
  * debian/rules: add a target to manually check regeneratability
    of .h files.
  * Update debian/upstream/metadata.
  * Bump debhelper from old 12 to 13.
  * debian/copyright: update Upstream-Contact.
  * Update build dependencies.
  * Refresh debian_examples_location.patch (offset).
  * Update example_selfdocs.patch for new example scripts.

 -- gregor herrmann <gregoa@debian.org>  Thu, 27 Aug 2020 17:48:07 +0200

libhtml-parser-perl (3.72-5) unstable; urgency=medium

  * Team upload.
  * Replace perl:any with perl:native in Build-Depends.

 -- gregor herrmann <gregoa@debian.org>  Tue, 18 Feb 2020 21:28:29 +0100

libhtml-parser-perl (3.72-4) unstable; urgency=medium

  * Team upload.

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Set upstream metadata fields: Bug-Submit.

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #951613)
    + Build-Depends: perl-xs-dev.
    + Annotate test dependencies with <!nocheck>.

  [ gregor herrmann ]
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * debian/watch: use uscan version 4.
  * Wrap long lines in changelog entries: 3.66-1, 3.28-3, 3.28-1, 3.15-2,
    3.07-1.

 -- gregor herrmann <gregoa@debian.org>  Tue, 18 Feb 2020 21:12:29 +0100

libhtml-parser-perl (3.72-3) unstable; urgency=medium

  * Team upload.
  * Remove Antonio Radici from Uploaders. Thanks for your work!
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Rene Mayorga from Uploaders. Thanks for your work!
  * Add --name parameter to pod2man call in debian/rules in order to make
    the build reproducible.
    Thanks to Daniel Shahaf for the bug report and the patch.
    (Closes: #845191)

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 Nov 2016 19:31:20 +0100

libhtml-parser-perl (3.72-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * debian/upstream/metadata: change GitHub/CPAN URL(s) to HTTPS.

  [ Salvatore Bonaccorso ]
  * Declare compliance with Debian policy 3.9.8
  * debian/rules: Build enabling all hardening flags

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 06 Jul 2016 09:34:27 +0200

libhtml-parser-perl (3.72-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 3.72
  * Refresh patches
  * Update year of upstream copyright
  * Update packaging copyright

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Wed, 20 Jan 2016 23:06:42 -0200

libhtml-parser-perl (3.71-2) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Add debian/upstream/metadata
  * Recreate HTML::Entities(3) manpage during build to ensure UTF-8
    encoding.
    Thanks to Mathieu Roy for the bug report. (Closes: #787826)
  * Declare compliance with Debian Policy 3.9.6.
  * Add libhttp-message-perl to B-D-I and Recommends.
  * Mark package as autopkgtest-able.

 -- gregor herrmann <gregoa@debian.org>  Sun, 07 Jun 2015 19:21:03 +0200

libhtml-parser-perl (3.71-1) unstable; urgency=low

  * Imported Upstream version 3.70 and 3.71
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Update debian/copyright file information.
    Update format to cpyright-format 1.0 as released together with Debian
    policy 3.9.3.
    Update copyright years for debian/* packaging files.
  * Bump Standards-Version to 3.9.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 06 Jan 2013 22:01:59 +0100

libhtml-parser-perl (3.69-2) unstable; urgency=low

  * Bump debhelper compat level to 9 to enable hardening flags
  * Update Standards-Version (no changes)

 -- Dominic Hargreaves <dom@earth.li>  Sun, 01 Apr 2012 16:51:05 +0100

libhtml-parser-perl (3.69-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 3.69
  * Email change: Salvatore Bonaccorso -> carnil@debian.org
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Refresh offset for debian_examples_location.patch
  * Bump Debhelper compat level to 8
  * Bump versioned Build-Depends on debhelper (>= 8)
  * Update copyright for debian/* packaging.
    Update copyright years
  * Bump Standards-Version to 3.9.2.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 15 Oct 2011 23:32:56 +0200

libhtml-parser-perl (3.68-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * New upstream release
  * Bump Standards-Version to 3.9.1.
  * Refresh debian/copyright file.

  [ Nicholas Bamber ]
  * Added myself to Uploaders
  * Added patch to address example issues: (Closes: #584088)
    - Added comments to several scripts in eg directory.
    - Added README to eg directory.
    - Encoding text in certain scripts to ensure clean run on wide chars.
    - Adding rule to examples install
  * Added myself to copyright
  * Updated debhelper dependency to 7.0.50~

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Mon, 27 Sep 2010 10:00:41 +0100

libhtml-parser-perl (3.66-1) unstable; urgency=low

  * New upstream release
  * Remove Kenneth Pronovici from Uploaders as requested in
    http://lists.alioth.debian.org/pipermail/pkg-perl-maintainers/2010-July/034136.html
  * Refresh debian/copyright file.
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 10 Jul 2010 09:04:49 +0200

libhtml-parser-perl (3.65-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * New upstream release
  * Refresh debian/copyright to the format specification proposed in DEP5 for
    machine readable copyright information.
  * Drop fix_spelling-error-in-binary_endianness.patch patch as it is applied
    upstream now.
  * Convert to '3.0 (quilt)' package source format. Drop README.source file
    and remove --with quilt usage in debian/rules. Adjust Build-Depends on
    debhelper to (>= 7) and remove quilt Build-Depends.
  * Bump Standards-Version to 3.8.4 (no changes).

  [ gregor herrmann ]
  * debian/control: remove versioned Conflicts/Replaces on libwww-perl and
    libhtml-tree-perl, the versions are older than what oldstable contains.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 09 Apr 2010 10:56:01 +0200

libhtml-parser-perl (3.64-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Standards-Version 3.8.3 (drop perl version dependency)
  * Add myself to Uploaders and Copyright
  * Rewrote control description and harmonized the layout

  [ Salvatore Bonaccorso ]
  * New upstream release
  * Add fix_spelling-error-in-binary_endianness.patch to fix a spelling error
    of 'endianness'.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 25 Oct 2009 22:07:29 +0100

libhtml-parser-perl (3.62-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * New upstream release
  * debian/patches:
    - Refresh debian_examples_location.patch.
    - Add header to patch as proposed by DEP3.

  [ Rene Mayorga ]
  * Remove debian/examples/* from libhtml-parser-perl.examples

 -- Rene Mayorga <rmayorga@debian.org>  Sat, 15 Aug 2009 16:45:14 -0600

libhtml-parser-perl (3.61-1) unstable; urgency=low

  [ gregor herrmann ]
  * Remove Florian Ragwitz from Uploaders (closes: #523284).

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ Salvatore Bonaccorso ]
  * New upstream release
  * Bump Standards-Version to 3.8.2 (no changes)
  * Use minimal debian/rules and adjust Build-Depends for debhelper and quilt
    to required versions.
  * Adjust copyright information for debian/*
  * Drop patch fix_hanchors_description.patch (fixed upstream).
  * Add myself to Uploaders.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 21 Jun 2009 16:46:01 +0200

libhtml-parser-perl (3.60-1) unstable; urgency=low

  [ Antonio Radici ]
  * New upstream release
  * Removing debian/patches/fix_htextsub_description.patch
    because it was incorporated by upstream
  * Added patches/fix_hanchors_description.patch (Closes: #464950)
  * debian/copyright:
    + bump years of copyright

  [ Rene Mayorga ]
  * rename examples and docs to libhtml-parser-perl.docs and
    libhtml-parser-perl.examples
  * debian/copyright:
    + convert to the new proposal fromat
    + add individual contributors for debian/* based on
      debian/changelog
  * debian/control:
   + Add myself to uploaders
   + remove leading article on `Description'
   + Add module-name to extended description

 -- Rene Mayorga <rmayorga@debian.org>  Tue, 10 Feb 2009 23:52:20 -0600

libhtml-parser-perl (3.59-1) unstable; urgency=low

  [ Damyan Ivanov ]
  * Take over for the Debian Perl Group with eloy's permission
  * New upstream release
    + bump years of copyright
  * adopt debelper 7; adjust rules, control and compat
  * split canges to upstream sources into patches
  * drop the patch that replaces usage od Data::Dump with Data::Dumper in the
    hform example. Instead, add libdata-dump-perl to Suggests
  * add myself to Uploaders and drop Debian Catalyst Maintainers

  [ Ryan Niebur ]
  * switch to quilt
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser field
    (source stanza); Homepage field (source stanza); ${misc:Depends} to
    Depends: field. Changed: Maintainer set to Debian Perl Group
    <pkg-perl-maintainers@lists.alioth.debian.org> (was: Debian Catalyst
    Maintainers <pkg-catalyst- maintainers@lists.alioth.debian.org>)
  * debian/watch: use dist-based URL.
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * Upgrade to policy version 3.8.0

 -- Damyan Ivanov <dmn@debian.org>  Tue, 02 Dec 2008 10:28:02 +0200

libhtml-parser-perl (3.56-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu, 18 Jan 2007 11:50:21 +0100

libhtml-parser-perl (3.55-1) unstable; urgency=low

  * New upstream release
  * debian/compat:
   + increased to 5
  * debian/control:
   +  Standards-Version: upgraded to 3.7.2.1 without additional changes

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu, 13 Jul 2006 10:24:58 +0200

libhtml-parser-perl (3.54-1) unstable; urgency=low

  * New upstream release (bugfix)
  * debian/control:
   - Standards-Version: upgraded to 3.7.0 without additional changes

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu,  4 May 2006 10:03:39 +0200

libhtml-parser-perl (3.52-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu, 27 Apr 2006 13:28:01 +0200

libhtml-parser-perl (3.51-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu, 23 Mar 2006 11:08:33 +0100

libhtml-parser-perl (3.50-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Fri, 17 Feb 2006 10:10:06 +0100

libhtml-parser-perl (3.49-1) unstable; urgency=low

  * New upstream release
  * debian/watched updated
  * debian/control - added liburi-perl to dependencies

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Wed,  8 Feb 2006 22:53:55 +0100

libhtml-parser-perl (3.48-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Mon,  5 Dec 2005 09:36:55 +0100

libhtml-parser-perl (3.47-1) unstable; urgency=low

  * New upstream release

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Wed, 23 Nov 2005 22:40:52 +0100

libhtml-parser-perl (3.46-1) unstable; urgency=low

  [ Krzysztof Krzyzaniak ]
  * New upstream release (closes: #336002)
  * chmod on hform example (closes: #330090)

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Fri, 28 Oct 2005 12:16:53 +0200

libhtml-parser-perl (3.45-4) unstable; urgency=low

  * debian/rules: Install todo using dh_installdocs.
  * debian/control: Added me to Uploaders.

 -- Florian Ragwitz <rafl@debianforum.de>  Fri, 30 Sep 2005 02:33:10 +0200

libhtml-parser-perl (3.45-3) unstable; urgency=low

  [ Krzysztof Krzyzaniak ]
  * debian/control - catalyst team takes package
  * Bumped standards version to 3.6.2
  * Don't intall README & TODO files since they are for install purposes

 -- Krzysztof Krzyzaniak (eloy) <eloy@debian.org>  Thu, 29 Sep 2005 10:13:48 +0200

libhtml-parser-perl (3.45-2) unstable; urgency=low

  * Add comment saying what example/htextsub program does (closes: #299853).
    - Asked submitter for suggestions on what should be added.
    - Ended up taking very brief explanation from manpage.
    - Open to adding something better if someone has a suggestion.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 23 Mar 2005 17:27:44 -0600

libhtml-parser-perl (3.45-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun,  9 Jan 2005 11:45:23 -0600

libhtml-parser-perl (3.44-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue,  4 Jan 2005 10:51:59 -0600

libhtml-parser-perl (3.43-1) unstable; urgency=low

  * New upstream release (release early, release often, once again).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  6 Dec 2004 17:01:38 -0600

libhtml-parser-perl (3.41-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu,  2 Dec 2004 10:40:08 -0600

libhtml-parser-perl (3.40-1) unstable; urgency=low

  * New upstream release.
  * Removed Debian-specific code from Makefile.PL; no longer needed
    because Unicode support is no longer optional.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue, 30 Nov 2004 12:41:01 -0600

libhtml-parser-perl (3.38-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 11 Nov 2004 23:32:00 -0600

libhtml-parser-perl (3.36-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  5 Apr 2004 18:49:29 -0500

libhtml-parser-perl (3.35-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 13 Dec 2003 10:26:24 -0600

libhtml-parser-perl (3.34-1) unstable; urgency=low

  * New upstream release.
    - Includes fix to segfault problem exposed by XMLTV (closes: #217616).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 27 Oct 2003 17:48:36 -0600

libhtml-parser-perl (3.33-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 18 Oct 2003 13:17:45 -0500

libhtml-parser-perl (3.32-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sun, 12 Oct 2003 13:43:50 -0500

libhtml-parser-perl (3.31-4) unstable; urgency=low

  * Add build dependency on perl (>= 5.8.1) to complete fix for #213529.
  * Updated standards version to 3.6.1 per PTS recommendation.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed,  1 Oct 2003 18:37:05 -0500

libhtml-parser-perl (3.31-3) unstable; urgency=low

  * Rebuild with Perl 5.8.1 to fix libwww-perl problem (closes: #213529).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed,  1 Oct 2003 13:46:08 -0500

libhtml-parser-perl (3.31-2) unstable; urgency=low

  * Apply patch to fix 'hform' example (closes: #206546).
  * Make hform example executable by default.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 21 Aug 2003 21:36:01 -0500

libhtml-parser-perl (3.31-1) unstable; urgency=low

  * New upstream release (release early, release often... wow).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Wed, 20 Aug 2003 10:59:21 -0500

libhtml-parser-perl (3.30-1) unstable; urgency=low

  * New upstream release.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon, 18 Aug 2003 11:44:02 -0500

libhtml-parser-perl (3.29-1) unstable; urgency=low

  * New upstream release.
    - The patch closing #195500 has been applied by upstream.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 15 Aug 2003 08:33:34 -0500

libhtml-parser-perl (3.28-3) unstable; urgency=low

  * Fix for out-of-memory problem on 64-bit architectures (closes: #195500).
    - Debian-only, since upstream has never replied to the CPAN bug report or my
      emails.
    - I applied the patch directly from the Debian bug report, since it looked
      sensible.
    - All of the regression tests still pass, at least on i386 and alpha.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Sat, 12 Jul 2003 16:12:13 -0500

libhtml-parser-perl (3.28-2) unstable; urgency=low

  * Now reference "examples/" directory rather than "eg/" directory
    in Parser.pm's POD manpage documentation (closes: #199707).

 -- Kenneth J. Pronovici <pronovic@debian.org>  Mon,  7 Jul 2003 13:21:56 -0500

libhtml-parser-perl (3.28-1) unstable; urgency=low

  * New upstream release, made separately from new maintainer release for
    clarity.
  * Updated year in debian/copyright, to be consistent with README.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue,  1 Jul 2003 21:05:51 -0500

libhtml-parser-perl (3.26-1) unstable; urgency=low

  * New maintainer.
  * Updated debian/copyright.
  * Changed section from 'interpreters' to 'perl'.
  * Bumped standards version to 3.5.9.
  * Added debian/compat file at level 4; now require debhelper (>= 4.1.0).
  * Got rid of duplicated section/priority in debian/control.
  * Reworked debian/rules to standardize with my other packages.
  * Added OPTIMIZE="-O2 -g -Wall" to build rule.
  * Removed "." from description synopsis to quiet Lintian.
  * Fix typo in Makefile.PL (closes: #166806).
  * Added debian/watch file.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Tue,  1 Jul 2003 18:23:14 -0500

libhtml-parser-perl (3.26-0.1) unstable; urgency=low

  * NMU (inactive maintainer)
  * New upstream version (closes: Bug#168084)
  * Add pedantic boilerplate to debian/copyright (closes: Bug#157593)
  * Add examples to doc/examples (closes: Bug#155776, Bug#138132)

 -- Ivan Kohler <ivan-debian@420.am>  Wed,  6 Nov 2002 11:07:36 -0800

libhtml-parser-perl (3.25-1.1) unstable; urgency=low

  * NMU for perl 5.8. No changes except build-dep on perl 5.8.
  * Corrected case of Build-Depends line.

 -- Joey Hess <joeyh@debian.org>  Wed, 31 Jul 2002 05:12:35 +0000

libhtml-parser-perl (3.25-1) unstable; urgency=low

  * New upstream release, fixes build problem.

 -- Michael Alan Dorman <mdorman@debian.org>  Sat, 12 May 2001 22:15:58 -0400

libhtml-parser-perl (3.24-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Wed,  9 May 2001 11:45:46 -0400

libhtml-parser-perl (3.23-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Tue,  8 May 2001 09:51:12 -0400

libhtml-parser-perl (3.22-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Wed, 18 Apr 2001 08:13:01 -0400

libhtml-parser-perl (3.21-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Fri, 13 Apr 2001 10:01:43 -0400

libhtml-parser-perl (3.20-1) unstable; urgency=low

  * New upstream release
  * Close some old bugs (closes: bug#81351, bug#86442)

 -- Michael Alan Dorman <mdorman@debian.org>  Wed,  4 Apr 2001 18:07:09 -0400

libhtml-parser-perl (3.19-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 12 Mar 2001 08:11:48 -0500

libhtml-parser-perl (3.18-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Fri,  9 Mar 2001 16:15:06 -0500

libhtml-parser-perl (3.17-2) unstable; urgency=low

  * Damn, forgot to depend on debhelper (closes: bug#88394)

 -- Michael Alan Dorman <mdorman@debian.org>  Mon,  5 Mar 2001 04:54:54 -0800

libhtml-parser-perl (3.17-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Sat, 24 Feb 2001 14:35:22 -0800

libhtml-parser-perl (3.15-3) unstable; urgency=low

  * Fix build-depends and depends.

 -- Michael Alan Dorman <mdorman@debian.org>  Wed, 24 Jan 2001 16:54:19 -0500

libhtml-parser-perl (3.15-2) unstable; urgency=low

  * Fix debian/rules
  * Recompiled with 5.6.  Sorry to anyone using an embedded 5.005. (closes:
    bug#80707, bug#82651, bug#79601, bug#82942)

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 21 Jan 2001 20:23:07 -0500

libhtml-parser-perl (3.15-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Wed, 27 Dec 2000 09:43:39 -0500

libhtml-parser-perl (3.14-1) unstable; urgency=low

  * New upstream release
  * Rebuild makes it 5.6 compatible (closes: bug#76847)

 -- Michael Alan Dorman <mdorman@debian.org>  Fri,  8 Dec 2000 09:24:05 -0500

libhtml-parser-perl (3.13-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 18 Sep 2000 07:58:13 -0400

libhtml-parser-perl (3.12-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Fri, 15 Sep 2000 08:31:35 -0400

libhtml-parser-perl (3.11-1) unstable; urgency=low

  * New upstream release
  * Added new dependency on libhtml-tagset-perl

 -- Michael Alan Dorman <mdorman@debian.org>  Tue, 22 Aug 2000 09:43:43 -0400

libhtml-parser-perl (3.10-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 10 Jul 2000 14:30:50 -0400

libhtml-parser-perl (3.08-1) unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@debian.org>  Mon, 29 May 2000 11:48:14 -0400

libhtml-parser-perl (3.07-1) unstable; urgency=low

  * New upstream version.
  * End of comment bug has been fixed upstream for a few versions (closes:
    bug#60678)

 -- Michael Alan Dorman <mdorman@debian.org>  Tue, 28 Mar 2000 11:03:02 -0500

libhtml-parser-perl (3.05-1) unstable; urgency=low

  * New upstream version.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 23 Jan 2000 16:47:57 -0500

libhtml-parser-perl (3.04-1) unstable; urgency=low

  * Should have checked for a new version first...

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 16 Jan 2000 10:06:20 -0500

libhtml-parser-perl (3.02-2) unstable; urgency=low

  * Oops, forgot that it was changing to be arch-dep (closes: bug#55254)

 -- Michael Alan Dorman <mdorman@debian.org>  Sun, 16 Jan 2000 09:59:28 -0500

libhtml-parser-perl (3.02-1) unstable; urgency=low

  * New upstream version.  Now a much faster XS module.

 -- Michael Alan Dorman <mdorman@debian.org>  Wed, 12 Jan 2000 20:19:39 -0500

libhtml-parser-perl (2.23-2) unstable; urgency=low

  * Modified for new perl packages.
  * Modified to use debhelper.

 -- Michael Alan Dorman <mdorman@debian.org>  Sun,  4 Jul 1999 22:32:25 +0000

libhtml-parser-perl (2.23-1) unstable; urgency=low

  * New upstream release.

 -- Michael Alan Dorman <mdorman@debian.org>  Sat, 12 Jun 1999 16:24:24 -0400

libhtml-parser-perl (2.22-1) unstable; urgency=low

  * Changed Conflicts to Replaces to accomodate dpkg-http

 -- Michael Alan Dorman <mdorman@debian.org>  Fri, 26 Feb 1999 12:37:13 -0500

libhtml-parser-perl (2.20-1) unstable; urgency=low

  * New upstream release.
  * Create new libhtml-parser-perl and libhtml-tree-perl to reflect
    upstream split from libwww-perl.

 -- Michael Alan Dorman <mdorman@debian.org>  Fri,  7 Aug 1998 10:26:09 -0500
